<template>
  <v-data-table
    :headers="headers"
    :items="[]"
    hide-default-footer
  >
    <template #item.id="{ item }">
      Zona {{ hashId(item) }}
    </template>
    <template #item.space1="{ }">
      <p> </p>
    </template>
    <template #item.space2="{ }">
      <p> </p>
    </template>
  </v-data-table>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import { hashId, withZeros } from '~/helpers/format/ids';

export default {
  name: 'AreasToDispatch',
  data: () => ({
    headers: [
      { text: 'Nª', align: 'start', sortable: false, value: 'id' },
      { text: 'Producto a almacenar', align: 'start', sortable: false, value: 'space1' },
      { text: 'Cliente', align: 'start', sortable: false, value: 'space2' },
      { text: 'Unidades (pallets)', align: 'start', sortable: false, value: 'space3' },
      { text: 'Hacia vehículo (ID - placa)', align: 'start', sortable: false, value: 'space4' },
    ],
  }),
  computed: {
    ...mapState({
      storedItems: state => state.programming.dispatches.current.storedItems,
    }),
  },
  methods: {
    hashId,
    withZeros,
    ...mapActions({
      getAllOrders: 'sync/orders/getAllOrders',
    }),
  },
};
</script>
